# Interface PfvManagerFactoryConfigInterface<U>

#### Type Parameters

- #### U

#### Hierarchy

- PfvManagerFactoryConfigInterface

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:13

#####
Index

### Properties

additionalConfig
boardConfigContainer
rcsbFvContainer
rcsbFvDivId
stateManager

### Methods

pfvChangeCallback

## Properties

### additionalConfig

additionalConfig: undefined | RcsbFvAdditionalConfig & {
operatorChangeCallback?: ((operatorInfo) => void);
}

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:19

### boardConfigContainer

boardConfigContainer: DataContainer<Partial<RcsbFvBoardConfigInterface>>

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:17

### rcsbFvContainer

rcsbFvContainer: DataContainer<RcsbFvModulePublicInterface>

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:15

### rcsbFvDivId

rcsbFvDivId: string

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:14

### stateManager

stateManager: RcsbFvStateInterface

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:16

## Methods

### pfvChangeCallback

- pfvChangeCallback(context): Promise<void>

- #### Parameters

  - ##### context: U

  #### Returns Promise<void>

  - Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:18

Generated using TypeDoc